# ScatterStatistics (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.zip

## Class ScatterStatistics

- java.lang.Object
- - org.apache.commons.compress.archivers.zip.ScatterStatistics

-     public class ScatterStatistics
      extends Object

  Provides information about a scatter compression run.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCompressionElapsed()` The number of milliseconds elapsed in the parallel compression phase
    `long` | `getMergingElapsed()` The number of milliseconds elapsed in merging the results of the parallel compression, the IO phase
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCompressionElapsed

          public long getCompressionElapsed()

      The number of milliseconds elapsed in the parallel compression phase
      Returns:
        The number of milliseconds elapsed

    - #### getMergingElapsed

          public long getMergingElapsed()

      The number of milliseconds elapsed in merging the results of the parallel compression, the IO phase
      Returns:
        The number of milliseconds elapsed

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 The Apache Software Foundation. All rights reserved.